/* Style that is not used for this site but served for (proxied) notes */

.book h1, .chapter h2.chapter-title {
    color: rgb(55, 82, 126);
}

.chapter h2.chapter-title {
    padding-top: 0;
    border-bottom: thin solid black;
    font-weight: 500;
}

.chapter {
            position: relative;
}

@media ( min-width: 681px ) {
	ol [data-float-aside] + p, ol [data-float-aside] + div, ol div.float-aside, ol div.expanding-side-img:not(:hover) {
	    transform: translate(calc(-100% - 32px - 40px));
	    margin-top: 12px;
	}
}

@media ( max-width: 680px ) {
  ol > li {
	max-width: calc(100vw - 60px);
  }
}

ol {
    margin-top: 32px;
}

ol > li {
    position:relative;
    font-size:16px;
    padding-left: 16px;
    margin: 20px 0 12px 0;
    list-style-type: none; /* Safari doesn't support marker */
}

ol > li:not(.continue) {
    clear: both;
}

ol > li::marker, ol > li::-webkit-details-marker {
    content: "";
    display: none;
}

ol > li:before {
    content: counter(list-item);
    text-align: center;
    font-weight: 500;
    position:absolute;
    left:-24px;
    z-index:-1;
    display:inline-block;
    width: 1.5em;
    height:1.5em;
    line-height: 1.25em;
    border-radius: 15px;
    background-color: rgb(247, 146, 17);
    padding-top: 3px;
    color: white;
}

img.chicon {
    height: 30px !important;
    position: absolute;
    top: -5px;
    right: 4px;
    margin: 0%;
}

main > div > div.float-aside {
    transform: none;
    float: left;
}

main > div > .float-aside:first-of-type a, #Preparation + .float-aside:first-of-type a {
    text-decoration: none;
}

main > div > div.float-aside:first-of-type li, #Preparation + .float-aside:first-of-type li, #Preparation + img + .float-aside:first-of-type li {
    list-style-type: none;
    margin-left: 0;
    padding-left: 24px;
    position: relative;
}

main > div > div.float-aside:first-of-type li::before,
#Preparation + .float-aside:first-of-type li::before,
#Preparation + img + .float-aside li::before {
    content: "→";
    position: absolute;
    left: 0;
    color: rgb(247, 146, 17);
    font-weight: bold;
}

#Preparation + .float-aside:first-of-type strong,
#Preparation + img + .float-aside:first-of-type strong {
    font-weight: 500 !important;
}

/* This supposedly targets only Safari */
@supports (hanging-punctuation: first) and (-webkit-appearance: none) {
    #Preparation + .float-aside:first-of-type strong,
    #Preparation + img + .float-aside:first-of-type strong {
        font-weight: 400 !important; /* Safari gets 400 */
    }
}

#Preparation + .float-aside:first-of-type p,
#Preparation + img + .float-aside:first-of-type p + ul {
    margin-top: 0;
}

#Preparation + .float-aside:first-of-type ul {
    margin-top: 0;
}

main > div > div.float-aside:first-of-type + ul,
#Preparation + .float-aside + ul,
#Preparation + img + .float-aside + ul {
    margin-top: 32px;
}

main > div > div.float-aside:first-of-type ul,
#Preparation + .float-aside ul,
#Preparation + img + .float-aside ul {
    padding-left: 0;
    margin-left: 0;
}
